Bug 1049703 (CVE-2014-0004) - CVE-2014-0004 udisks and udisks2: stack-based buffer overflow when handling long path names
Summary: CVE-2014-0004 udisks and udisks2: stack-based buffer overflow when handling l...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0004
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1070144 1070145 1070147 1074458 1074459
Blocks: 1035839 1049704
TreeView+ depends on / blocked
 
Reported: 2014-01-08 03:29 UTC by Murray McAllister
Modified: 2021-02-17 07:01 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-14 05:49:43 UTC


Attachments (Terms of Use)
Patch from davidz (3.29 KB, patch)
2014-02-25 20:00 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0293 0 normal SHIPPED_LIVE Important: udisks security update 2014-03-13 23:21:38 UTC

Description Murray McAllister 2014-01-08 03:29:51 UTC
udisks and udisks2 provide a daemon, D-Bus API, and command line tools for managing disks and storage devices. A flaw was found in the way udisks and udisks2 handled long path names. A malicious, local user could use this flaw to create a specially-crafted directory structure that could lead to arbitrary code execution with the privileges of the udisks daemon (root).

Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.

Comment 7 Josh Bressers 2014-02-25 20:00:24 UTC
Created attachment 867616 [details]
Patch from davidz

I've tested this, it does seem to fix the issue.

Comment 19 Huzaifa S. Sidhpurwala 2014-03-10 10:08:41 UTC
Created udisks2 tracking bugs for this issue:

Affects: fedora-all [bug 1074459]

Comment 20 Huzaifa S. Sidhpurwala 2014-03-10 10:08:49 UTC
Created udisks tracking bugs for this issue:

Affects: fedora-all [bug 1074458]

Comment 23 Matthias Clasen 2014-03-11 17:25:16 UTC
You should, now

Comment 24 errata-xmlrpc 2014-03-13 19:22:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0293 https://rhn.redhat.com/errata/RHSA-2014-0293.html

Comment 25 Fedora Update System 2014-03-15 15:04:05 UTC
udisks2-2.1.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2014-03-19 08:50:35 UTC
udisks2-2.1.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.